LiteDac standart edition

Обсуждение возникших проблем, предложений и ошибок LiteDAC компонентов
Ответить
Link911
Сообщения: 2
Зарегистрирован: Чт 19 окт 2017 23:41

LiteDac standart edition

Сообщение Link911 » Чт 19 окт 2017 23:47

How to Download LiteDac standard edition(not professional). We downloaded profeccioanl. And try to switch to standart, but get error:
>>> F2051 Unit LiteCall was compiled with a different version of LiteStaticCall.InitStaticFunction

MaximG
Devart Team
Сообщения: 113
Зарегистрирован: Пн 06 июл 2015 12:51

Re: LiteDac standart edition

Сообщение MaximG » Пн 23 окт 2017 07:55

Please specify LiteDAC edition you possess. For this, you can provide us with your license number using the e-support form ( https://www.devart.com the "Support"\"Request Support" menu) . In addition, explain how you are trying to switch to Standard Edition when getting the described error.

Link911
Сообщения: 2
Зарегистрирован: Чт 19 окт 2017 23:41

Re: LiteDac standart edition

Сообщение Link911 » Пн 23 окт 2017 10:36

We are in deciding which version is better for us. Right now we has downloaded 3.1.3 trial edition. And we try to use not direct mode. and we get this error on during a compilation process. We need to try a standard edition of sqlite. Is it will work for us or not. After that we will by a license.

MaximG
Devart Team
Сообщения: 113
Зарегистрирован: Пн 06 июл 2015 12:51

Re: LiteDac standart edition

Сообщение MaximG » Пн 23 окт 2017 13:57

By functional features, LiteDAC Trial Edition is LiteDAC Professional Edition with limited use time. You can download LiteDAC Standard Edition only after purchasing it. The mentioned error indicates the presence of libraries and modules in your system, which are left after installation of the previous versions of one of our DAC products. To solve the issue, please perform these steps:

1) Close RAD Studio and uninstall LiteDAC. For this use the "Programs and Features" applet in Windows Control Panel.
2) Be sure to find and delete all files present in the system *.dcu, *.dcp and *.bpl related to LiteDAC (for example, satisfying the following search criteria: *dac*.dcp, *dac*.bpl, *dac*.dcu)
3) Install LiteDAC 3.1.3 again

Ответить